# Create local directories as scratch space
resource "local_file" "openpgpkey" {
  filename = ".well-known/openpgpkey/policy"
  content  = ""
}
resource "local_file" "hu" {
  filename   = ".well-known/openpgpkey/hu/.keep"
  content    = ""
  depends_on = [local_file.openpgpkey]
}
resource "local_file" "static_dir" {
  filename = "static/.keep"
  content  = ""
}

# Create local files as scratch space
resource "local_file" "policy" {
  filename   = ".well-known/openpgpkey/policy"
  content    = ""
  depends_on = [local_file.openpgpkey]
}

# Upload files to Digital Ocean
## The Digital Ocean Spaces API is compatible with Amazon S3
# resource "local_exec" "s3cmd" {
#   command = "s3cmd put --recursive --acl-public --guess-mime-type --verbose static/ s3://static-site/"
#   depends_on = [local_file.index_html, local_file.static_dir]
# }